Page MenuHomePhabricator

Translate extension should not reparse Gettext definition files for GettextDocumentationAid
Closed, ResolvedPublic

Description

Author: lockalsash

Description:
It seems that Translate extension reparses .pot files on each message edit. So more messages in definition file means longer loading time for edit form or page. Files with about 16000 messages leads to inevitable timeout on each message edit. Why messages can't be accessed only through the database?

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:25 AM
bzimport set Reference to bz37168.
bzimport added a subscriber: Unknown Object (MLST).

It is loading comments which are not stored in the database.

I guess those should be added to the message cache, then?

Nikerabbit renamed this task from Translate extension should not reparse definition files on each message edit to Translate extension should not reparse Gettext definition files for GettextDocumentationAid.Feb 26 2019, 3:11 PM
abi_ added a subscriber: abi_.Oct 31 2019, 12:23 PM

Change 585229 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] Use MessageGroupCache in GettextDocumentationAid

https://gerrit.wikimedia.org/r/585229

This requires quite a bit of refactoring that affects many parts of the code, so this will take a while and requires careful testing. Incidentally, this also cleans up directly or makes it easy to clean up a lot of tech debt.

Change 585229 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Use MessageGroupCache in GettextDocumentationAid

https://gerrit.wikimedia.org/r/585229

Related changes have been merged, and deployed on twn. We will be monitoring them for a few days, and looking for any issues with Gettext based projects. If everything looks good, we will resolve this task.

abi_ closed this task as Resolved.May 6 2020, 3:11 PM

Haven't noticed any issues due to these changes on twn. Resolving the task.